.boutonAccueil {
  width: 90%;
  font-size: 1.5rem;
  cursor: pointer;
  border-radius: 10px;
  border: none;
  background-color: rgb(212, 212, 212);
  margin-top: 20px;
  padding: 10px;
}

.boutonAccueil:hover {
  box-shadow: 0px 0px 5px 5px #373964;
}

/* Setting CSS page accueil. */

.laDate {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 50px;
  font-size: 3rem;
  margin: 10px 0px 10px 0px;
  color: white;
}

.box {
  display: flex;
  flex-direction: row;
  /* height: 100vh; */
}

.box1,
.box2 {
  height: 150vh;
}

.box1 {
  border: solid 1px black;
  width: 15%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.box2 {
  width: 100%;
  background-color: #373964;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* justify-content: center; */
}

.box2Title {
  width: 100%;
  height: 7vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  color: white;
}

.box2Content {
  width: 85%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  justify-content: space-around;
  /* border: solid red 1px; */
}

.boxCard {
  width: 30%;
  height: 90vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  justify-content: space-around;
  border-radius: 10px;
}

.boxCardData1,
.boxCardData2 {
  width: 95%;
  box-shadow: 0px 0px 10px 1px black;
  border-radius: 10px;
  background-color: white;
  display: flex;
  flex-direction: column;
  /* align-items: center;
  justify-content: center; */

  /* border: solid red 1px; */
}

.boxCardData1 {
  height: 33vh;
  padding-top: 10px;
}

.boxCardDataTitle,
.boxCardDataValue,
.boxCardDataParams,
.boxCardData2Title,
.boxCardData2Form,
.boxCardData2DaysHeures {
  width: 95%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.boutonActivation,
.boutonDeactivation {
  width: 95%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 10px;
}

.boxCardDataTitle {
  margin: 10px 0px 10px 0px;
}

.boxCardDataTitle,
.boxCardData2Title,
.boxCardData2DaysHeures {
  font-size: 2rem;
}

.boxCardData2Title {
  margin-bottom: 10px;
}

.boxCardDataValue {
  font-size: 3.5rem;
  color: #373964;
}

.boxCardDataParams {
  font-size: 1.5rem;
}

.boxCardDataItem {
  margin: 10px;
}

.boxCardData2 {
  /* border: solid green 1px; */
  width: 95%;
  height: 55vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 20px;
}

.boxCardData2Title {
  height: 5vh;
}

.boxCardData2Form {
  /* border: solid red 1px; */
  height: 26vh;
  display: flex;
  flex-direction: column;
  /* align-items: center;
  justify-content: center; */
}

.boutonActivation,
.boutonDeactivation {
  height: 50px;
}

.boxCardData2DaysHeures {
  margin-top: 20px;
  margin-bottom: 20px;
  height: 5vh;
}

.modifBlocForm {
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: auto;
}

.boutonActivation,
.boutonDeactivation,
.demarrerCycleButton {
  width: 60%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: black;
  font-size: 1.5rem;
  margin-left: auto;
  margin-right: auto;
  background-color: green;
  border-radius: 10px;
  border: none;
  cursor: pointer;
  outline: none;
  position: relative;
  box-shadow: 0 6px black;
}

.boutonDeactivation {
  background-color: red;
}

.boutonActivation:hover,
.boutonDeactivation:hover,
.demarrerCycleButton:hover {
  box-shadow: 0 4px black;
  top: 2px;
  color: white;
}

.boutonActivation:active,
.boutonDeactivation:active,
.demarrerCycleButton:active {
  box-shadow: 0 0px black;
  top: 6px;
  color: white;
}

/*! ➖➖➖➖➖➖➖➖➖➖ page Relay ➖➖➖➖➖➖➖➖➖➖ */

.boxTab {
  display: flex;
  flex-direction: row;
}

.boxRelayContent {
  width: 85%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  justify-content: space-around;
  /* border: solid yellow 1px; */
}

.boxCardRelay {
  width: 100%;
  display: flex;
  flex-direction: row;
  /* border: solid green 1px; */
}

.boxCardRelay_1,
.boxCardRelay_2,
.boxCardRelay_3 {
  /* border: solid green 1px; */
  height: 90vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
}

.boxCardRelay_1 {
  width: 24%;
}

.boxCardRelay_2 {
  width: 24%;
}

.boxCardRelay_3 {
  width: 50%;
}

.boxCardRelay_3Box {
  /* border: solid red 1px; */
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  justify-content: space-evenly;
}

.boxCardRelayTitle {
  width: 100%;
  height: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  margin: 10px;
  text-align: center;
  /* border: solid blue 1px; */
}

.buttonBox {
  width: 47%;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 10px;
  padding: 10px 0px 10px 0px;
  box-shadow: var(--shadow);
}

.buttonBoxTitle {
  font-size: 1.5rem;
}

.boxCardRelayData {
  width: 95%;
  height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* justify-content: center; */
  box-shadow: 0px 0px 10px 1px black;
  border-radius: 10px;
  background-color: white;
  /* border: solid green 1px; */
}

/*! ➖➖➖➖➖➖➖➖➖➖ page Courbes ➖➖➖➖➖➖➖➖➖➖ */

/** Info small */
.infoSmall {
  margin: 10px;
  color: red;
  font-size: 2rem;
  font-weight: bolder;
  text-align: center;
}

.infoSmallDisplay {
  display: none;
}

/** ------------------------------------------*/

.tabBox {
  /* border: solid green 1px; */
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.buttonBoxTab {
  display: flex;
  flex-direction: row;
  justify-content: center;
  justify-content: space-around;
  align-items: center;
}

.tablink {
  width: 33%;
  border-radius: 10px;
  margin-top: 5px;
  margin-bottom: 5px;
  background-color: var(--bgColor);
  color: white;
  font-size: 17px;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
}

.tablink:hover {
  background-color: #777;
}

.contentBox {
  /* border: solid red 1px; */
  width: 100%;
}

.tabcontent {
  /* border: solid green 1px; */
  display: flex;
  flex-direction: column;
  align-items: center;
  display: none;
  border-radius: 10px;
}

.graph1 {
  /* border: solid green 1px; */
  width: 100%;
  position: relative;
  height: 100vh;
  width: 100%;
  margin: auto;
  display: flex;
  border-radius: 10px;
  box-shadow: var(--shadow);
}

.demarrerCycle {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.boxButtonDemCycle {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.cont {
  /* border: solid green 1px; */
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  color: white;
  font-weight: bolder;
  text-align: center;
}

.cont1 {
  /* border: solid green 1px; */
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  color: white;
  font-weight: bolder;
  font-size: 1.5rem;
  text-align: center;
}

.cont2 {
  /* border: solid green 1px; */
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  color: white;
  font-weight: bolder;
  font-size: 1.5rem;
  text-align: center;
}

.cont3 {
  /* border: solid green 1px; */
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  color: white;
  font-weight: bolder;
  font-size: 2.5rem;
  text-align: center;
}

.demarrerCycleButton {
  width: 90%;
  height: 40px;
  background-color: red;
  margin: 10px;
  color: white;
  font-weight: bolder;
}

/*! ********* FIN tabBox ******** */

/*! ********* Container à onglet ******** */

/* .box2 {
  border: solid red 1px;
} */

.container {
  /* border: solid green 1px; */
  width: 98%;
  margin: 10px 0px 10px 0px;
  background: #f1f1f1;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.container-onglets {
  background: #f1f1f1;
  width: 100%;
  height: 80px;
  display: flex;
  border-bottom: 1px solid #333;
}
.onglets {
  width: 33.33%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 22px;
  font-weight: 700;
  cursor: pointer;
}
.onglets:not(:nth-child(3)) {
  border-right: 1px solid #333;
}

.contenu {
  /* border: solid blue 1px; */
  display: flex;
  flex-direction: column;
  background-color: white;
  width: 85.2%;
  position: absolute;
  opacity: 0;
  height: auto;
}

.graphData {
  width: 100%;
  height: auto;
  border: solid black 1px;
}

.graphVanne {
  border: solid black 1px;
  width: 100%;
  height: auto;
  margin-top: 10px;
}

/* Anim */

.active {
  background: #373964;
  color: #f1f1f1;
  transition: all 0.3s ease;
}

.active-contenu {
  -webkit-animation: fade 0.5s forwards;
  animation: fade 0.5s forwards;
}
@-webkit-keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
